<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetPOIResult StructType
 * @subpackage Structs
 */
class GetPOIResult extends ExecutionResult
{
    /**
     * The POIs
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfPOIResult
     */
    public $POIs;
    /**
     * Constructor method for GetPOIResult
     * @uses GetPOIResult::setPOIs()
     * @param \ArrayType\ArrayOfPOIResult $pOIs
     */
    public function __construct(\ArrayType\ArrayOfPOIResult $pOIs = null)
    {
        $this
            ->setPOIs($pOIs);
    }
    /**
     * Get POIs value
     * @return \ArrayType\ArrayOfPOIResult|null
     */
    public function getPOIs()
    {
        return $this->POIs;
    }
    /**
     * Set POIs value
     * @param \ArrayType\ArrayOfPOIResult $pOIs
     * @return \StructType\GetPOIResult
     */
    public function setPOIs(\ArrayType\ArrayOfPOIResult $pOIs = null)
    {
        $this->POIs = $pOIs;
        return $this;
    }
}
